Skip to main content
Resource Center/Hardware/Primary Storage Operations

GetHostCandidatesForVmMigration

GetHostCandidatesForVmMigration

GET/zstack/v1/primary-storage/hosts/{vmInstanceUuid}/migration-candidates

Operation ID

GetHostCandidatesForVmMigration

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • vmInstanceUuid
    StringRequired

    The UUID of the VM instance.

Query Parameters

  • dstPrimaryStorageUuid
    StringRequired

    The UUID of the destination primary storage.

  • limit
    Integer

    Optional. The maximum number of returned hosts.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The detailed description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The name of the

    • uuid
      StringRequired

      The host UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • description
      StringRequired

      The detailed description of the host.

    • managementIp
      StringRequired

      The management IP.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • totalCpuCapacity
      LongRequired

      The total CPU capacity.

    • availableCpuCapacity
      LongRequired

      The available CPU capacity.

    • cpuSockets
      IntegerRequired

      The CPU sockets.

    • totalMemoryCapacity
      LongRequired

      The total memory capacity.

    • availableMemoryCapacity
      LongRequired

      The available memory capacity.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • createDate
      TimestampRequired

      The time when the host was created.

    • lastOpDate
      TimestampRequired

      The time when the host was last modified.